Ticket #41604

unit_move_handling(): remove igzoc

Open Date: 2021-02-18 23:23 Last Update: 2021-02-26 00:17

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Accepted
File:
1

Details

Create an alternative for the barbarians.

Ticket History (3/4 Histories)

2021-02-18 23:23 Updated by: kvilhaugsvik
  • New Ticket "unit_move_handling(): remove igzoc" created
2021-02-23 22:57 Updated by: kvilhaugsvik
  • Owner Update from (None) to kvilhaugsvik
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.1.0
  • Component Update from (None) to Server
Comment

Split unit_move_handling() based on igzoc.

Done as a small step for the sake of ensuring backwards compatibility.

The new function unit_move_igzoc() handles cases where igzoc was set to TRUE. It is kept the exact same rules for when it is allowed to move the unit. (I think some of them should be removed.)

unit_move_handling() keeps - recently enabler controlled - regular moves and the code to understand a move towards a tile as asking what actions the unit can perform against it.

2021-02-26 00:17 Updated by: kvilhaugsvik
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login